button.navbar-toggler{
	position: relative;
	z-index: 999;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 70px;
	aspect-ratio: 1;
	margin: 0;
	padding: 0;
	border: 0;
	border-radius: 50%;
	line-height: 1;
	transition: background-color .3s ease;
	
	@media (max-width: 991px){
		width: 50px;
	}

	&:focus{
		box-shadow: none;
	}

	&::before{
		--icon: url(ico-opened.svg);
		content: '';
		width: 47px;
		height: 40px;
		-webkit-mask: var(--icon) no-repeat center/contain;
		mask: var(--icon) no-repeat center/contain;
		background: #fff;
		transition: background-color .3s ease;

		@media (max-width: 991px){
			width: 35px;
			height: 30px;
		}
	}
	&:hover::before{
		background-color: var(--wp--preset--color--farbe-2);
	}

	&.collapsed::before{
		--icon: url(ico-closed.svg);
	}
}

.scrolled button.navbar-toggler{
	background-color: var(--wp--preset--color--farbe-6);
}